Приложения, правени за стари версии на Android, може и да не работят с Android P

Приложения, правени за стари версии на Android, може и да не работят с Android P

В Android P има въведено ограничение за приложенията, които са правени за стари версии на Android. В актуалната версия Developer Preview то е на ниво API 17, a това означава, че софтуерът трябва да е програмиран поне за Android 4.2 Jelly Bean. Ако той е правен за по-стара версия на Android, то операционната система ще покаже предупреждение. Засега не е ясно дали във финалното издание платформата тези приложения ще бъдат блокирани.

Този ход на Google обаче не е изненадващ. Още в края на миналата година бе обявено, че всички нови приложения в Play Store трябва да са насочени към версия на Android, която е най-много на една година. Това означава, че при излизането на Android P всички нови приложения ще трябва да са насочени поне към Android 8.0 Oreo.

Практическият смисъл на операцията е да се избегнат хитрувания от страна на програмистите, които заобикалят изисквания на операционната система като адресират по-стари API. Както е известно, Apple от години има подобна политика за App Store, така че изискването на Google към разработчиците не е нещо ново и непознато.

Източник: Android Police

  • Е, те и неъпдейтнати ще си бачкат. Никога не е лесно за разработчиците. Сега трябва да поддържат веждата на айфона и то задължително.
    Konfetti
  • Драма е, и не голяма, а огромна. Май не си разбрал, обратното е - новите Андроиди няма да работят със стари приложения. Какво правим с купени приложения в миналото и несъществуващи вече с нови версии, или такива които не желая да ъпдейтвам, понеже старите не искат една камара нови права в Андорида? Е, вчера гледах една програма за чистенe на паметта иска освен другите излишни права и право за достъп до камера? Моля?? Дали разбра и втория момент, че минимaлната версия на API за нови приложения и ъпдейти е latest-2. Какво прави онази преобладаваща част потребители, които не получават ъпдейти на версията на андорида си? Ще почнат да си подменят смартфоните по-често по причина, че скоропостижно програмите в плейстора ще станат несъвместими с техните устройства. Защото производителите на смартфони няма да хукнат да ъпдейтват версиите на андроида по устройствата си и променят практиката си каквато е била до този момент. Много е по-лесно и финансово изгодно да сглобиш нещо и да го хвърлиш на пазара, вместо да го поддържаш като актуализация на ОС. Да му мислят най-вече онези с китайските пръчки.
    kpo
  • Еййй, голямата драма го изкарахте това. Просто с напредването на Андроид, като се ъпдейтнат приложенията няма да работят с по-стари версии от 4.2 Вече почти няма такава машини. Който има по-старо устройство, просто ще ползва стари версии докато работят и ще спре ъпдейта или ще сваля алтернативи. На Андроид има голям избор.
    tzincbg
  • -
    npet